# Interface ITableRowOptions

#### Hierarchy

- ITableRowPropertiesOptions
  - ITableRowOptions

- Defined in src/file/table/table-row/table-row.ts:5

#####
Index

### Properties

cantSplit
children
height
tableHeader

## Properties

### `Optional` `Readonly` cantSplit

cantSplit?: boolean

Inherited from ITableRowPropertiesOptions.cantSplit

- Defined in src/file/table/table-row/table-row-properties.ts:35

### `Readonly` children

children: TableCell[]

- Defined in src/file/table/table-row/table-row.ts:6

### `Optional` `Readonly` height

height?: { rule: HeightRule; value: string | number }

#### Type declaration

- ##### `Readonly` rule: HeightRule

- ##### `Readonly` value: string | number

Inherited from ITableRowPropertiesOptions.height

- Defined in src/file/table/table-row/table-row-properties.ts:37

### `Optional` `Readonly` tableHeader

tableHeader?: boolean

Inherited from ITableRowPropertiesOptions.tableHeader

- Defined in src/file/table/table-row/table-row-properties.ts:36

Generated using TypeDoc